# 101

Etude des performances du programme recherche.c

Son unique paramètre est la taille des données du programme, et les paramètres à explorer sont les temps d'exécution et la taille mémoire

## Plateforme de test

Laptop VAIO bi-cores hyperthread
Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz

## Résultats préliminaires

Pour 50 paramètres différents, testés 5 fois chacun.

![exectime](101/exectime-sd.png)

On peut constater sur cette figure que si les temps d'exécution sont globalement linéaires, ils présentent également une grande dispersion.

![exectime](101/exectime.png)

Cependant, une fois qu'on diminue le nombre de threads, on peut constater que la dispersion est bien moindre. Il s'agissait donc d'un artefact expérimental.

La dérivée obtenue par régression linéaire est 1.314e-07.

![mem](101/mem.png)

En revanche, l'utilisation mémoire est parfaitement linéaire.

La dérivée obtenue par régression linéaire est 3.907e-03, soit un 4 octets par param, ce qui correspond à la taille d'un int.